Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.presentation
Enum OdfNodeType

    java.lang.Object
      java.lang.Enum<OdfNodeType>
          org.odftoolkit.odfdom.dom.type.presentation.OdfNodeType

All Implemented Interfaces:
  Serializable, Comparable<OdfNodeType>

    public enum OdfNodeType

extends Enum<OdfNodeType>

DOM implementation of OpenDocument attribute presentation:node-type.

Enum Constant Summary
`AFTER_PREVIOUS`
`DEFAULT`
`INTERACTIVE_SEQUENCE`
`MAIN_SEQUENCE`
`ON_CLICK`
`TIMING_ROOT`
`WITH_PREVIOUS`

Method Summary
`static OdfNodeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfNodeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfNodeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfNodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WITH_PREVIOUS

    public static final OdfNodeType WITH_PREVIOUS

### MAIN_SEQUENCE

    public static final OdfNodeType MAIN_SEQUENCE

### INTERACTIVE_SEQUENCE

    public static final OdfNodeType INTERACTIVE_SEQUENCE

### TIMING_ROOT

    public static final OdfNodeType TIMING_ROOT

### ON_CLICK

    public static final OdfNodeType ON_CLICK

### DEFAULT

    public static final OdfNodeType DEFAULT

### AFTER_PREVIOUS

    public static final OdfNodeType AFTER_PREVIOUS

Method Detail

### values

    public static OdfNodeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfNodeType c : OdfNodeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfNodeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfNodeType>`
  Returns:
    return the name of OdfNodeType

### toString

    public static String toString(OdfNodeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfNodeType, see presentation:node-type
  Returns:
    return the name of OdfNodeType

### enumValueOf

    public static OdfNodeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfNodeType
  Returns:
    return the constant of OdfNodeType, see presentation:node-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.